Subject: Re: Cygwin, NT and Nutcracker
From: Earnie Boyd <[email-masked]>
To: Jens Reimann <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Aug 1999 05:42:39 -0700 (PDT)

--- Jens Reimann <[email-masked]> wrote:
> the problem is (as described) that nutcracker(MSVC) und gcc both define the
> iobs in a different way. So when I compile with gcc und link with gcc
> Nutcracker can not find the MSVC iobs, when I compile with gcc und link
> with the nutcracker libs, gcc does not find its iobs (which are defined for
> each thread)
> 
> So I just added a symbol FILE * _iob which fixes the linker warning (and
> also _seems_ to work) but is that a real solution??

It sounds to me as if you're mixing C runtimes.  It is possible to use gcc
either cygwin or mingw32 to use the different runtime but it isn't going to be
a simple matter of just compiling and linking.  You'll have to ensure that the
proper headers for the runtime you're using are being used.  You may even have
to supply the startup code.  Beyond that you're into experimenting with the
frontiers of compiler/runtime technology.
===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]